5.1.4.7.1. Check Selection of Context Menu Entry (General Components)
Prev | 5.1.4.7. Check Selection | Next

#### 5.1.4.7.1. Check Selection of Context Menu Entry (General Components)

Check Selection of Context Menu by Indexpath

- Use this action to check whether an item in a context menu is selected.

- You enter the menupath to the item, and whether you expect it to be selected or not.

- The menupath is given as an indexpath.

- Parameters:

  - Indexpath

  - Selected

  - Mouse Button

  - Timeout in Millisecs

Check Selection of Context Menu by Indexpath (Specify Position)

- Use this action to check whether an item in a context menu is selected.

- The item to check is given using the indexpath to the item.

- This action will open the context menu at the position you specify in the component.

- For some components (e.g. trees), opening a context menu somewhere else in the component can have a different effect than when you open the context menu on a specific node.

- If you want to open or check a context menu on a selected node or cell in a component, then use the action which selects the context menu without specifying the coordinate position.

- Parameters:

  - X-Position

  - X-Units

  - Y-Position

  - Y-Units

  - Indexpath

  - Selected

  - Mouse Button

  - Timeout in Millisecs

Check Selection of Context Menu by Textpath

- Use this action to check whether an item in a context menu is selected.

- You enter the menupath to the item, and whether you expect it to be selected or not.

- The menupath is given as a textpath.

- Parameters:

  - Textpath

  - Operator

  - Selected

  - Mouse Button

  - Timeout in Millisecs

Check Selection of Context Menu by Textpath (Specify Position)

- Use this action to check whether an item in a context menu is selected.

- The item to check is given using the textpath to the item.

- This action will open the context menu at the position you specify in the component.

- For some components (e.g. trees), opening a context menu somewhere else in the component can have a different effect than when you open the context menu on a specific node.

- If you want to open or check a context menu on a selected node or cell in a component, then use the action which selects the context menu without specifying the coordinate position.

- Parameters:

  - X-Position

  - X-Units

  - Y-Position

  - Y-Units

  - Textpath

  - Operator

  - Selected

  - Mouse Button

  - Timeout in Millisecs